API Reference
Regenerate domain sentiment prompts
POST
header
X-API-Key<token>API Key for programmatic access
domainId*stringSentiment prompts regenerated
application/json- response
prompts*array<>The freshly generated sentiment prompts
count*numberHow many prompts were generated
saved*booleanTrue once the prompts are persisted on the domain
curl -X POST 'https://api.getmint.ai/api/domains/string/prompts/regenerate/sentiment'{ "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "prompt": "What do customers think about Nike?", "isActive": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z", "criterion": "price" } ], "count": 12, "saved": true}